Subject: bug#16885: Not recognizing FAT32 partition

From: Phillip Susi <[email-masked]>
Date: Thu, 27 Feb 2014 20:44:27 -0500

On 02/27/2014 02:43 PM, Chris Murphy wrote:
> 
> On Feb 27, 2014, at 12:22 PM, Brian C. Lane <[email-masked]>
> wrote:
>> 
>> parted's filesystem detection should not be depended on, it is
>> for cosmetic purposes only. I'm not sure what gparted is doing,
>> but it shouldn't be failing because of libparted's fs display.
> 
> yes. gparted should be relying on libblkid, if it isn't already.

Not for resizing the filesystem, which is where the failure happened ;)